Patentes
Patentes por CNPJ
Retorna todas as patentes registradas no INPI vinculadas ao CNPJ informado.
GET
/
patentes
/
cnpj
/
{cnpj}
Patentes por CNPJ
curl --request GET \
--url https://221b-api.sherlocker.com.br/api/v1/patentes/cnpj/{cnpj} \
--header 'Authorization: Bearer <token>'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/patentes/cnpj/{cnpj}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://221b-api.sherlocker.com.br/api/v1/patentes/cnpj/{cnpj}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sucesso": true,
"documento": "11325650000123",
"tipo": "cnpj",
"total": 3,
"patentes": [
{
"numero_inpi": "102012007224",
"titulo": "SISTEMA DE CONTROLE E GERENCIAMENTO DE VEICULOS COLETIVOS URBANOS E RODOVIARIOS",
"resumo": "Sistema para gerenciamento automatizado de operacoes de transporte de passageiros, com contagem de passageiros, analise de fluxo, telemetria e rastreamento GPS integrados.",
"depositante": "TRIMBLE BRASIL LTDA.",
"documento": "11325650000123",
"tipo_pessoa": "Pessoa Jurídica",
"pais": "BR",
"estado": "SP",
"data_inicio": "2026-02-03",
"data_fim": null,
"data_deposito": "2012-03-30",
"data_publicacao": "2017-04-25",
"classificacao_ipc": "H04N 7/18",
"ultimo_despacho": {
"codigo": "25.4",
"data": "2026-02-03",
"complemento": null
},
"inventores": [
{
"nome": "Giovani Benedetti Penha",
"documento": null
},
{
"nome": "Vitor Cazzanti Tamarozi",
"documento": null
}
],
"procuradores": [
"P A PRODUTORES ASSOCIADOS MARCAS E PATENTES LTDA"
]
}
]
}{
"sucesso": false,
"documento": "<string>",
"total": 0,
"patentes": [],
"error": "<string>"
}{
"sucesso": false,
"documento": "<string>",
"total": 0,
"patentes": [],
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
CNPJ da empresa (14 digitos)
Example:
"11325650000123"
⌘I
Patentes por CNPJ
